API ReferenceImages APIOpenAI
Edit Image
Last updated:
Images — native OpenAI format
POST /images/edits
Authentication
Store your API key in AICENTOS_API_KEY; the shell examples expand it in the Authorization: Bearer header.
The API Key obtained under "Token Management" in the console
Location: header
Request Body
multipart/form-data
TypeScript type definition
Use the request body type in TypeScript
Response Body
application/json
export AICENTOS_API_KEY="sk-your-aicentos-api-key"
curl -X POST "https://aicentos.com/v1/images/edits" \
-H "Authorization: Bearer $AICENTOS_API_KEY" \
-F image="[ \"string\" ]" \
-F prompt="string"{
"created": 0,
"background": "string",
"output_format": "string",
"size": "string",
"data": [
{
"url": "string",
"b64_json": "string"
}
],
"usage": {
"input_tokens": 0,
"output_tokens": 0,
"total_tokens": 0
}
}